Skip to Content
APIsLast Aggregate

Last Aggregate

Get last aggregate returns the latest aggregate bar for a crypto pair.

Get Last Aggregate

GEThttps://api.adesic.com/v2/cex/{exchange}/{market}/lastaggregate/{aggregate size}

Returns an object with the latest aggregate or candlestick of a crypto pair.

Path Parameters

NameTypeDescription
exchange*stringUnique exchange identifier used by Adesic.
market*stringUnique Crypto Pair identifier used by the exchange.
aggregate size*stringAggregate bar or candlestick time frame. (1m, 5m, 15m, 1h, 6h, 1d)

Query Parameters

NameTypeDescription
apiKey*stringYour Adesic API Key
response.json
{ "exchange": "coinbasepro", "market": "BTC/USD", "timeframe": "1m", "t": 1644515400000, "o": 45203.6, "h": 45216.72, "l": 45183.93, "c": 45200.37, "v": 5.43995508 }

Copy & Paste Code

cURL
curl -H "api-key: API KEY" https://api.adesic.com/v2/cex/coinbasepro/BTC-USD/lastaggregate/1m

Response Object

Example URL: https://api.adesic.com/v2/cex/coinbasepro/BTC-USD/lastaggregate/1m 

response.json
{ "exchange": "coinbasepro", "market": "BTC/USD", "timeframe": "1m", "t": 1644515400000, "o": 45203.6, "h": 45216.72, "l": 45183.93, "c": 45200.37, "v": 5.43995508 }

Response Attributes

Attribute NameData TypeDescription
exchangestringUnique identifier used by Adesic for the exchange.
marketstringUnique identifier used by the exchange for ticker.
timeframestringAggregate bar or candlestick time frame. (1m, 5m, 15m, 1h, 6h, 1d)
tintegerUnix timestamp at the start of the aggregate.
ofloatThe open or first price of the aggregate.
hfloatThe highest price of the aggregate.
lfloatThe lowest price of the aggregate.
cfloatThe close or last price of the aggregate.
vfloatThe volume or quantity traded within the aggregate.

© Adesic LLC. All Rights Reserved